Package com.ngrok.definitions

# Class EndpointBackend

java.lang.Object
com.ngrok.definitions.EndpointBackend

public class EndpointBackend extends Object
A class encapsulating the `EndpointBackend` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EndpointBackend(Optional<Boolean> enabled, Ref backend)`
  Creates a new instance of `EndpointBackend`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Ref`
  `getBackend()`
  backend to be used to back this endpoint
  `Optional<Boolean>`
  `getEnabled()`
  `true` if the module will be applied to traffic, `false` to disable.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EndpointBackend

    public EndpointBackend(Optional<Boolean> enabled, Ref backend)
    Creates a new instance of `EndpointBackend`.
    Parameters:
      `enabled` - `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
      `backend` - backend to be used to back this endpoint

- ## Method Details

  - ### getEnabled

    public Optional<Boolean> getEnabled()
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Returns:
      the value of the property as a `boolean` wrapped in an `Optional`

  - ### getBackend

    public Ref getBackend()
    backend to be used to back this endpoint
    Returns:
      the value of the property as a `Ref`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`